Package: org.apache.groovy.parser.antlr4.internal.atnmanager

## [Java] Class ParserAtnManager

- org.apache.groovy.parser.antlr4.internal.atnmanager.ParserAtnManager

-     public class ParserAtnManager
      extends AtnManager

  Manage ATN for parser to avoid memory leak

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static ParserAtnManager` | `INSTANCE` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AtnManager` | `READ_LOCK`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected AtnWrapper` | `createAtnWrapper()`
    `` | `protected boolean` | `shouldClearDfaCache()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AtnManager` | `createAtnWrapper, getATN, getAtnWrapper, shouldClearDfaCache`

- - ### Field Detail

    - #### public static final ParserAtnManager INSTANCE

  - ### Method Detail

    - #### @Override
      protected AtnWrapper createAtnWrapper()

    - #### @Override
      protected boolean shouldClearDfaCache()